Windows10XTrustedRootCertificate の更新
名前空間: microsoft.graph
重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
windows10XTrustedRootCertificate オブジェクトのプロパティを更新します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校アカウント) | DeviceManagementServiceConfig.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 要求
PATCH /deviceManagement/resourceAccessProfiles/{deviceManagementResourceAccessProfileBaseId}
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で 、windows10XTrustedRootCertificate オブジェクトの JSON 表記を指定します。
次の表に 、windows10XTrustedRootCertificateを作成するときに必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | 文字列 | プロファイル識別子 deviceManagementResourceAccessProfileBase から継承 |
| version | Int32 | プロファイルのバージョンdeviceManagementResourceAccessProfileBaseから継承 |
| displayName | 文字列 | プロファイル表示名deviceManagementResourceAccessProfileBaseから継承 |
| description | String | プロファイルの説明deviceManagementResourceAccessProfileBaseから継承 |
| creationDateTime | DateTimeOffset | DateTime プロファイルが作成されましたdeviceManagementResourceAccessProfileBaseから継承 |
| lastModifiedDateTime | DateTimeOffset | DateTime プロファイルが最後に変更されたdeviceManagementResourceAccessProfileBaseから継承 |
| roleScopeTagIds | String collection | deviceManagementResourceAccessProfileBaseから継承されたスコープ タグ |
| trustedRootCertificate | Binary | 信頼されたルート証明書 |
| certFileName | 文字列 | UI に表示するファイル名。 |
| destinationStore | certificateDestinationStore | 信頼されたルート証明書の保存先ストアの場所。 可能な値は、computerCertStoreRoot、computerCertStoreIntermediate、userCertStoreIntermediate です。 |
応答
成功した場合、このメソッドは応答コードと、応答本文で更新された 200 OK windows10XTrustedRootCertificate オブジェクトを返します。
例
要求
以下は、要求の例です。
PATCH https://graph.microsoft.com/beta/deviceManagement/resourceAccessProfiles/{deviceManagementResourceAccessProfileBaseId}
Content-type: application/json
Content-length: 456
{
"@odata.type": "#microsoft.graph.windows10XTrustedRootCertificate",
"version": 7,
"displayName": "Display Name value",
"description": "Description value",
"creationDateTime": "2017-01-01T00:00:43.1365422-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"trustedRootCertificate": "dHJ1c3RlZFJvb3RDZXJ0aWZpY2F0ZQ==",
"certFileName": "Cert File Name value",
"destinationStore": "computerCertStoreIntermediate"
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 569
{
"@odata.type": "#microsoft.graph.windows10XTrustedRootCertificate",
"id": "be0bfd01-fd01-be0b-01fd-0bbe01fd0bbe",
"version": 7,
"displayName": "Display Name value",
"description": "Description value",
"creationDateTime": "2017-01-01T00:00:43.1365422-08:00",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"trustedRootCertificate": "dHJ1c3RlZFJvb3RDZXJ0aWZpY2F0ZQ==",
"certFileName": "Cert File Name value",
"destinationStore": "computerCertStoreIntermediate"
}
フィードバック
フィードバックの送信と表示